package coamonitor.Interceptor;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/morroia/Reti/Corba/COAMonitor/src/coamonitor/COAMonitor.idl"
 * <li> <b>IDL Name</b>      ::Interceptor::MonitorBinder
 * <li> <b>Repository Id</b> IDL:Interceptor/MonitorBinder:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface MonitorBinder {
  ...
};
 * </pre>
 */
public class MonitorBinderPOATie extends MonitorBinderPOA {
  private coamonitor.Interceptor.MonitorBinderOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public MonitorBinderPOATie (final coamonitor.Interceptor.MonitorBinderOperations _delegate) {
    this._delegate = _delegate;
  }

  public MonitorBinderPOATie (final coamonitor.Interceptor.MonitorBinderOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public coamonitor.Interceptor.MonitorBinderOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final coamonitor.Interceptor.MonitorBinderOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   void addListener (in Object listener);
   * </pre>
   */
  public void addListener (org.omg.CORBA.Object listener) {
    this._delegate.addListener(listener);
  }

  /**
   * <pre>
   *   void removeListener ();
   * </pre>
   */
  public void removeListener () {
    this._delegate.removeListener();
  }

}
