package coamonitor.Monitor;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/morroia/Reti/Corba/COAMonitor/src/coamonitor/COAMonitor.idl"
 * <li> <b>IDL Name</b>      ::Monitor::InterceptorListener
 * <li> <b>Repository Id</b> IDL:Monitor/InterceptorListener:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface InterceptorListener {
  ...
};
 * </pre>
 */
public interface InterceptorListenerOperations {
  /**
   * <pre>
   *   void clientInvocationReport (in coamonitor.Data.RequestData rd);
   * </pre>
   */
  public void clientInvocationReport (coamonitor.Data.RequestData rd);

  /**
   * <pre>
   *   void serverInvocationReport (in coamonitor.Data.RequestData rd);
   * </pre>
   */
  public void serverInvocationReport (coamonitor.Data.RequestData rd);

  /**
   * <pre>
   *   void bindReport (in coamonitor.Data.BindData bd);
   * </pre>
   */
  public void bindReport (coamonitor.Data.BindData bd);

  /**
   * <pre>
   *   void sendMessage (in string str);
   * </pre>
   */
  public void sendMessage (java.lang.String str);

}
