package coamonitor.Monitor;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/morroia/Reti/Corba/COAMonitor/src/coamonitor/COAMonitor.idl"
 * <li> <b>IDL Name</b>      ::Monitor::InterceptorListener
 * <li> <b>Repository Id</b> IDL:Monitor/InterceptorListener:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface InterceptorListener {
  ...
};
 * </pre>
 */
public class InterceptorListenerPOATie extends InterceptorListenerPOA {
  private coamonitor.Monitor.InterceptorListenerOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public InterceptorListenerPOATie (final coamonitor.Monitor.InterceptorListenerOperations _delegate) {
    this._delegate = _delegate;
  }

  public InterceptorListenerPOATie (final coamonitor.Monitor.InterceptorListenerOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public coamonitor.Monitor.InterceptorListenerOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final coamonitor.Monitor.InterceptorListenerOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   void clientInvocationReport (in coamonitor.Data.RequestData rd);
   * </pre>
   */
  public void clientInvocationReport (coamonitor.Data.RequestData rd) {
    this._delegate.clientInvocationReport(rd);
  }

  /**
   * <pre>
   *   void serverInvocationReport (in coamonitor.Data.RequestData rd);
   * </pre>
   */
  public void serverInvocationReport (coamonitor.Data.RequestData rd) {
    this._delegate.serverInvocationReport(rd);
  }

  /**
   * <pre>
   *   void bindReport (in coamonitor.Data.BindData bd);
   * </pre>
   */
  public void bindReport (coamonitor.Data.BindData bd) {
    this._delegate.bindReport(bd);
  }

  /**
   * <pre>
   *   void sendMessage (in string str);
   * </pre>
   */
  public void sendMessage (java.lang.String str) {
    this._delegate.sendMessage(str);
  }

}
