package coamonitor;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */
import com.inprise.vbroker.PortableServerExt.POALifeCycleInterceptor;
import org.omg.PortableServer.POA;
import org.omg.CORBA.StringHolder;
import org.omg.CORBA.PolicyListHolder;
import com.inprise.vbroker.IOP.IORValueHolder;
import com.inprise.vbroker.interceptor.*;
import coamonitor.Monitor.*;

/*Intercetta la costruzione da parte di un'appklicazione server di un nuovo POA*/
public class ISPOAInterceptor implements POALifeCycleInterceptor, ListenerProvider  {

  String _id = "";
  InterceptorListener intList = null;
  ServerRequestInterceptor sReqInt;

  //Costruttori
  public ISPOAInterceptor(String id) {
    _id = id;
  }//ISPOAInterceptor

  public ISPOAInterceptor() {
  }//ISPOAInterceptor

  //Metodi di acquisizione e cancellazione dell'InterceptorLIstener
  public void getListener(InterceptorListener il) {
    if(intList == null){
      intList = il;
    }
  }//getListener

  public void removeListener() {
    intList = null;
  }//removeListener

  //Implementazione del metodo dell'interfaccia Listener Provider
  public InterceptorListener provideListener(){
    return intList;
  }//provideListener

  //Implementazione dei metodi dell'interfaccia POAlIfeCicleInterceptor
  public void create(POA poa, PolicyListHolder policy, IORValueHolder ior, InterceptorManagerControl imc) throws org.omg.PortableServer.POAPackage.InvalidPolicy {
    //per ogni POA ctreato che non sia creato da questa applicazione
    //crea ed attiva un nuovo Server Interceptor
    if(!poa.the_name().equals("MonitorBinder_poa")&(!poa.the_name().equals("InterceptorListener_poa"))) {
      InterceptorManagerControl control = imc;
      sReqInt = new ISServerInterceptor(poa.the_name(),this,imc);
      ServerRequestInterceptorManager sr_manager = (ServerRequestInterceptorManager)control.get_manager("ServerRequest");
      sr_manager.add(sReqInt);
    }
  }//create

  public void destroy(POA poa) {
  }//destroy
}