package coamonitor;

import javax.swing.*;
import com.borland.jbcl.layout.*;
import java.awt.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

 /*Pannello adibito alla visualizzazione dei dati di un nodo */
public class NodePanel extends JPanel {
  XYLayout xYLayout1 = new XYLayout();
  JTextField jClReqRateTextField = new JTextField();
  JTextField jClReqTimeTextField = new JTextField();
  JTextField jSrReqRateTextField = new JTextField();
  JTextField jSrReqTimeTextField = new JTextField();
  JLabel jClReqRateLabel = new JLabel();
  JLabel jClReqTimeLabel = new JLabel();
  JLabel jSrReqRateLabel = new JLabel();
  JLabel jSrReqTimeLabel = new JLabel();

  NodeDataManager nodeDatMan = null;
  JLabel jTitleLabel = new JLabel();

  public NodePanel() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    jClReqRateTextField.setFont(new java.awt.Font("SansSerif", 0, 18));
    this.setToolTipText("");
    this.setLayout(xYLayout1);
    xYLayout1.setWidth(557);
    xYLayout1.setHeight(509);
    jClReqTimeTextField.setFont(new java.awt.Font("SansSerif", 0, 18));
    jSrReqRateTextField.setFont(new java.awt.Font("SansSerif", 0, 18));
    jSrReqTimeTextField.setFont(new java.awt.Font("SansSerif", 0, 18));
    jClReqRateLabel.setFont(new java.awt.Font("Dialog", 1, 14));
    jClReqRateLabel.setText("Client request concentration rate(%)");
    jClReqTimeLabel.setFont(new java.awt.Font("Dialog", 1, 14));
    jClReqTimeLabel.setText("Client average request time rate(%)");
    jSrReqRateLabel.setFont(new java.awt.Font("Dialog", 1, 14));
    jSrReqRateLabel.setText("Server reply concentration rate(%)");
    jSrReqTimeLabel.setFont(new java.awt.Font("Dialog", 1, 14));
    jSrReqTimeLabel.setText("Server processing conc. rata(%)");
    jTitleLabel.setFont(new java.awt.Font("Dialog", 1, 16));
    this.add(jClReqTimeLabel, new XYConstraints(33, 189, 271, 49));
    this.add(jSrReqRateLabel, new XYConstraints(33, 278, 271, 49));
    this.add(jSrReqTimeLabel, new XYConstraints(33, 368, 271, 49));
    this.add(jClReqRateLabel, new XYConstraints(33, 99, 271, 49));
    this.add(jClReqRateTextField, new XYConstraints(322, 99, 105, 49));
    this.add(jClReqTimeTextField, new XYConstraints(323, 189, 105, 49));
    this.add(jSrReqRateTextField, new XYConstraints(323, 278, 105, 49));
    this.add(jSrReqTimeTextField, new XYConstraints(323, 368, 105, 49));
    this.add(jTitleLabel, new XYConstraints(33, 24, 271, 49));
  }

  //Disabilita un NodeDataManager e ne abilita uno nuovo
  public void setNodeDataManager(NodeDataManager ndm){
    nodeDatMan = ndm;
    nodeDatMan.setEnable(true);
  }//setClientDataManager

  //disabilita il NodeDataManger corrente
  public void removeNodeDataManager(){
    nodeDatMan.setEnable(false);
    nodeDatMan = null;
  }//removeNodeDataManager
}