package coamonitor.Data;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/morroia/Reti/Corba/COAMonitor/src/coamonitor/COAMonitor.idl"
 * <li> <b>IDL Name</b>      ::Data::RequestData
 * <li> <b>Repository Id</b> IDL:Data/RequestData:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * struct RequestData {
  ...
};
 * </pre>
 */
public final class RequestData implements org.omg.CORBA.portable.IDLEntity {
  
  public java.lang.String ObjectName;
  
  public java.lang.String OperationName;
  
  public boolean result;
  
  public int time;
  
  public java.lang.String exc;

  public RequestData () {
  }

  public RequestData (final java.lang.String ObjectName, 
                      final java.lang.String OperationName, 
                      final boolean result, 
                      final int time, 
                      final java.lang.String exc) {
    this.ObjectName = ObjectName;
    this.OperationName = OperationName;
    this.result = result;
    this.time = time;
    this.exc = exc;
  }

  public java.lang.String toString() {
    final java.lang.StringBuffer _ret = new java.lang.StringBuffer("struct coamonitor.Data.RequestData {");
    _ret.append("\n");
    _ret.append("java.lang.String ObjectName=");
    _ret.append(ObjectName != null?'\"' + ObjectName + '\"':null);
    _ret.append(",\n");
    _ret.append("java.lang.String OperationName=");
    _ret.append(OperationName != null?'\"' + OperationName + '\"':null);
    _ret.append(",\n");
    _ret.append("boolean result=");
    _ret.append(result);
    _ret.append(",\n");
    _ret.append("int time=");
    _ret.append(time);
    _ret.append(",\n");
    _ret.append("java.lang.String exc=");
    _ret.append(exc != null?'\"' + exc + '\"':null);
    _ret.append("\n");
    _ret.append("}");
    return _ret.toString();
  }

  public boolean equals (java.lang.Object o) {
    if (this == o) return true;
    if (o == null) return false;

    if (o instanceof coamonitor.Data.RequestData) {
      final coamonitor.Data.RequestData obj = (coamonitor.Data.RequestData)o;
      boolean res = true;
      do {
        res = this.ObjectName == obj.ObjectName ||
         (this.ObjectName != null && obj.ObjectName != null && this.ObjectName.equals(obj.ObjectName));
        if (!res) break;
        res = this.OperationName == obj.OperationName ||
         (this.OperationName != null && obj.OperationName != null && this.OperationName.equals(obj.OperationName));
        if (!res) break;
        res = this.result == obj.result;
        if (!res) break;
        res = this.time == obj.time;
        if (!res) break;
        res = this.exc == obj.exc ||
         (this.exc != null && obj.exc != null && this.exc.equals(obj.exc));
      } while (false);
      return res;
    }
    else {
      return false;
    }
  }
}
