package coamonitor.Monitor;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/morroia/Reti/Corba/COAMonitor/src/coamonitor/COAMonitor.idl"
 * <li> <b>IDL Name</b>      ::Monitor::InterceptorListener
 * <li> <b>Repository Id</b> IDL:Monitor/InterceptorListener:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface InterceptorListener {
  ...
};
 * </pre>
 */
public abstract class InterceptorListenerPOA extends org.omg.PortableServer.Servant implements 
  org.omg.CORBA.portable.InvokeHandler, coamonitor.Monitor.InterceptorListenerOperations {

  public coamonitor.Monitor.InterceptorListener _this () {
   return coamonitor.Monitor.InterceptorListenerHelper.narrow(super._this_object());
  }

  public coamonitor.Monitor.InterceptorListener _this (org.omg.CORBA.ORB orb) {
    return coamonitor.Monitor.InterceptorListenerHelper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:Monitor/InterceptorListener:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("clientInvocationReport", new com.inprise.vbroker.CORBA.portable.MethodPointer(0, 0));
    _methods.put("serverInvocationReport", new com.inprise.vbroker.CORBA.portable.MethodPointer(0, 1));
    _methods.put("bindReport", new com.inprise.vbroker.CORBA.portable.MethodPointer(0, 2));
    _methods.put("sendMessage", new com.inprise.vbroker.CORBA.portable.MethodPointer(0, 3));
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    com.inprise.vbroker.CORBA.portable.MethodPointer method =
      (com.inprise.vbroker.CORBA.portable.MethodPointer) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method.interface_id) {
      case 0: {
        return coamonitor.Monitor.InterceptorListenerPOA._invoke(this, method.method_id, _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (coamonitor.Monitor.InterceptorListenerOperations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
    org.omg.CORBA.portable.OutputStream _output = null;
    {
      switch (_method_id) {
      case 0: {
        coamonitor.Data.RequestData rd;
        rd = coamonitor.Data.RequestDataHelper.read(_input);
        _self.clientInvocationReport(rd);
        _output = _handler.createReply();
        return _output;
      }
      case 1: {
        coamonitor.Data.RequestData rd;
        rd = coamonitor.Data.RequestDataHelper.read(_input);
        _self.serverInvocationReport(rd);
        _output = _handler.createReply();
        return _output;
      }
      case 2: {
        coamonitor.Data.BindData bd;
        bd = coamonitor.Data.BindDataHelper.read(_input);
        _self.bindReport(bd);
        _output = _handler.createReply();
        return _output;
      }
      case 3: {
        java.lang.String str;
        str = _input.read_string();
        _self.sendMessage(str);
        _output = _handler.createReply();
        return _output;
      }
      }
      throw new org.omg.CORBA.BAD_OPERATION();
    }
  }
}
