package coamonitor.Monitor;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/WINNT/Profiles/morroia/Reti/Corba/COAMonitor/src/coamonitor/COAMonitor.idl"
 * <li> <b>IDL Name</b>      ::Monitor::InterceptorListener
 * <li> <b>Repository Id</b> IDL:Monitor/InterceptorListener:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface InterceptorListener {
  ...
};
 * </pre>
 */
public class _InterceptorListenerStub extends com.inprise.vbroker.CORBA.portable.ObjectImpl implements InterceptorListener {
  final public static java.lang.Class _opsClass = coamonitor.Monitor.InterceptorListenerOperations.class;

  public java.lang.String[] _ids () {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:Monitor/InterceptorListener:1.0"
  };

  /**
   * <pre>
   *   void clientInvocationReport (in coamonitor.Data.RequestData rd);
   * </pre>
   */
  public void clientInvocationReport (coamonitor.Data.RequestData rd) {

    while (true) {
      if (!_is_local()) {
        org.omg.CORBA.portable.OutputStream _output = null;
        org.omg.CORBA.portable.InputStream  _input  = null;
        try {
          _output = this._request("clientInvocationReport", true);
          coamonitor.Data.RequestDataHelper.write(_output, rd);
          _input = this._invoke(_output);
        }
        catch (org.omg.CORBA.portable.ApplicationException _exception) {
          final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
          java.lang.String _exception_id = _exception.getId();
          throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
        }
        catch (org.omg.CORBA.portable.RemarshalException _exception) {
          continue;
        }
        finally {
          this._releaseReply(_input);
        }
      } else {
        final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("clientInvocationReport", _opsClass);
        if (_so == null) {
          continue;
        }
        final coamonitor.Monitor.InterceptorListenerOperations _self = (coamonitor.Monitor.InterceptorListenerOperations)_so.servant;
        try {
          _self.clientInvocationReport(rd);
        }
        finally {
          _servant_postinvoke(_so);
        }
      }
      break;
    }
  }

  /**
   * <pre>
   *   void serverInvocationReport (in coamonitor.Data.RequestData rd);
   * </pre>
   */
  public void serverInvocationReport (coamonitor.Data.RequestData rd) {

    while (true) {
      if (!_is_local()) {
        org.omg.CORBA.portable.OutputStream _output = null;
        org.omg.CORBA.portable.InputStream  _input  = null;
        try {
          _output = this._request("serverInvocationReport", true);
          coamonitor.Data.RequestDataHelper.write(_output, rd);
          _input = this._invoke(_output);
        }
        catch (org.omg.CORBA.portable.ApplicationException _exception) {
          final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
          java.lang.String _exception_id = _exception.getId();
          throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
        }
        catch (org.omg.CORBA.portable.RemarshalException _exception) {
          continue;
        }
        finally {
          this._releaseReply(_input);
        }
      } else {
        final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("serverInvocationReport", _opsClass);
        if (_so == null) {
          continue;
        }
        final coamonitor.Monitor.InterceptorListenerOperations _self = (coamonitor.Monitor.InterceptorListenerOperations)_so.servant;
        try {
          _self.serverInvocationReport(rd);
        }
        finally {
          _servant_postinvoke(_so);
        }
      }
      break;
    }
  }

  /**
   * <pre>
   *   void bindReport (in coamonitor.Data.BindData bd);
   * </pre>
   */
  public void bindReport (coamonitor.Data.BindData bd) {

    while (true) {
      if (!_is_local()) {
        org.omg.CORBA.portable.OutputStream _output = null;
        org.omg.CORBA.portable.InputStream  _input  = null;
        try {
          _output = this._request("bindReport", true);
          coamonitor.Data.BindDataHelper.write(_output, bd);
          _input = this._invoke(_output);
        }
        catch (org.omg.CORBA.portable.ApplicationException _exception) {
          final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
          java.lang.String _exception_id = _exception.getId();
          throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
        }
        catch (org.omg.CORBA.portable.RemarshalException _exception) {
          continue;
        }
        finally {
          this._releaseReply(_input);
        }
      } else {
        final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("bindReport", _opsClass);
        if (_so == null) {
          continue;
        }
        final coamonitor.Monitor.InterceptorListenerOperations _self = (coamonitor.Monitor.InterceptorListenerOperations)_so.servant;
        try {
          _self.bindReport(bd);
        }
        finally {
          _servant_postinvoke(_so);
        }
      }
      break;
    }
  }

  /**
   * <pre>
   *   void sendMessage (in string str);
   * </pre>
   */
  public void sendMessage (java.lang.String str) {

    while (true) {
      if (!_is_local()) {
        org.omg.CORBA.portable.OutputStream _output = null;
        org.omg.CORBA.portable.InputStream  _input  = null;
        try {
          _output = this._request("sendMessage", true);
          _output.write_string((java.lang.String)str);
          _input = this._invoke(_output);
        }
        catch (org.omg.CORBA.portable.ApplicationException _exception) {
          final org.omg.CORBA.portable.InputStream in = _exception.getInputStream();
          java.lang.String _exception_id = _exception.getId();
          throw new org.omg.CORBA.UNKNOWN("Unexpected User Exception: " + _exception_id);
        }
        catch (org.omg.CORBA.portable.RemarshalException _exception) {
          continue;
        }
        finally {
          this._releaseReply(_input);
        }
      } else {
        final org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("sendMessage", _opsClass);
        if (_so == null) {
          continue;
        }
        final coamonitor.Monitor.InterceptorListenerOperations _self = (coamonitor.Monitor.InterceptorListenerOperations)_so.servant;
        try {
          _self.sendMessage(str);
        }
        finally {
          _servant_postinvoke(_so);
        }
      }
      break;
    }
  }

}
